오픈오피스 3.0을 한번 깔아봤습니다^^

얼마전(11월 6일)에 한국어 버전 오픈오피스 3.0이 올라온걸 오늘에야 알게되어 냉큼 설치해봤습니다.

옛날에 오픈오피스 새버전을 설치하려면 RPM을 DEB으로 변환해서 설치하는 삽질(?)을 했었는데 지금은 한국어버전도 DEB을 지원해줘서 설치가 너무 간편했습니다.

설치법은 팁 게시판에 따로 쓰는게 나을 것 같습니다.(이미 있나요?)

역시 이번 버전에서 기대하는건 OpenXML의 지원…!(특히 pptx) 우분투에 설치되어있는 오픈오피스2.4에서도 OpenXML 파일을 열 수 있습니다만 그림이나 그래픽이 복잡한 pptx의 경우엔 처참하게 깨지는 모습을 볼 수 있었습니다.

OpenOffce 3.0에서는 달라진 모습을 기대하며 설치를 완료했습니다.

설치 후, 일단 달라진 Splash로고와, 처음 실행임에도 불구하고 눈에띄게 빨라진 속도를 보았습니다. 인터페이스상 달라진 건 별로 없었지만, GUI 차원에서 몇가지 이해할 수 없던 아이콘 같은 것들이 수정된것도 좋았습니다. 무엇보다도 RC와는 달리 안티앨리어싱이 먹힌다는 것도 좋아보이더군요^^

전체적으로 이전 버전보다 쾌적해진게 가장 마음에 들었습니다. 2.4 때부터의 고질적인 버그(Impress에서 휠을 돌리면 슬라이드가 넘어가는게 아니라 슬라이드가 스크롤(…) 되버리는 문제, 글자가 커서따라 이사다니는 문제)등은 여전히 남아 있는 것 같지만 전체적으로 속도가 향상된게 가장 좋더군요.

다만=_=

오픈오피스 자체의 문제라기보단 오픈오피스의 리눅스 지원이 걸렸습니다. 우분투 같은 배포판에 기본으로 깔려있는 것은 go-oo 버전인 경우가 많습니다. go-oo에 대한 자세한 설명은 위키 백과를 링크합니다.

http://en.wikipedia.org/wiki/Go-oo

go-oo는 오픈오피스의 또 다른 배포판으로서 공식 오픈오피스에 포함되지 않는 기능들을 많이 갖고 있습니다.(비쥬얼 베이직 지원, 리눅스에서 Starter Tray 지원 등등) 특히 go-oo는 리눅스에 필수적인 기능들을 많이 갖고 있습니다. 그 대부분이 윈도용 오픈오피스에는 있으나 리눅스용 오픈오피스에는 없는 것들이죠.

몇가지 기능들이 있는데 그 중 하나가 "하드웨어 가속"입니다. 오픈오피스의 애니메이션이나 폰트를 렌더링할 때 하드웨어 가속을 직접 사용하느냐 마느냐의 문제인데 이 옵션을 사용하면 Impress에서 "애니메이션 도중 폰트의 계단 현상"을 막을 수 있습니다.(애니메이션도 부드러워집니다.) 이 옵션이 리눅스용 오픈오피스에는 빠져있습니다.

우분투에 포함된 버전은 2.4이지만 go-oo에 노벨이 필터를 제공해준 덕에 OpenXML 파일을 읽어올 수 있습니다. 그렇지만 그 품질이 조악한 경우가 많습니다.(docx, xlsx등은 잘 읽어오는 편입니다. pptx 가 문제이지요…) 오픈오피스 3.0에서는 이 기능이 많이 개선되었기를 기대했는데

[attachment=1:2zpvzp05].png[/attachment:2zpvzp05]

[attachment=0:2zpvzp05]-1.png[/attachment:2zpvzp05]

위에는 오픈오피스 3.0이고, 아래는 우분투의 2.4입니다. 물론 오픈오피스 3.0이 좀 더 나은 건 분명합니다만 역시 아직 pptx의 지원에 있어서는 오십보백보입니다=_=;;

또 오픈오피스 3.0의 문제인지, 리눅스용 버전의 문제인지는 몰라도 PT의 애니메이션이 크게 버벅입니다.=_=;; 이건 이유를 모르겠습니다…

일단 제가 주로 사용하는건 Impress 이기 때문에 Impress를 위주로 봤습니다. 그러므로 절대 정확하고 객관적인 소감문은 아닙니다. 다만 Impress를 주로 쓰시는 분들은 무리해서 3.0으로 업그레이드 하실 필요는 없을 것 같습니다.^^ 리눅스에서는 go-oo 2.4가 좀 더 좋습니다.(즉 기본으로 깔려있는)

즉 오늘의 결론도 기다립시다(?) 요즘들어서는 새버전에 왜이리 보수적으로 되는지 모르겠습니다.=_=;(아직 김프도 2.4.x에요ㅠㅠ)

덧. go-oo 3.0은 아직 한글팩이 등장하진 않은 것 같네요. go-oo의 개발속도로 보자면 8.10에 오픈오피스3.0이 포함되지 않은 걸 이해할 수도 있을 것 같습니다.

덧2. 이건 여기에 쓸 문제가 아니라 오픈오피스 포럼에 질문할 문제이긴 한데… 2.4에서 분명히 잘 작성한 파일이 3.0에서 깨지는 경우가 있네요… ppt도 아니고 odp 파일인데 말이죠.

백일몽님의 답글로 알게 된건데, ppa를 사용하면 우분투에서 쉽게 openoffice 3.0을 사용 할 수 있습니다.

사이트는 [url:3mz3oefg]https://launchpad.net/~openoffice-pkgs/+archive[/url:3mz3oefg] 이고, 여기서 하라는대로 /etc/apt/source.list에

[code:3mz3oefg]deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main[/code:3mz3oefg]

을 추가하면 됩니다. hardy와 intrepid 패키지가 있네요.

[quote="uriel":3h6dqc02]백일몽님의 답글로 알게 된건데, ppa를 사용하면 우분투에서 쉽게 openoffice 3.0을 사용 할 수 있습니다.

사이트는 [url:3h6dqc02]https://launchpad.net/~openoffice-pkgs/+archive[/url:3h6dqc02] 이고, 여기서 하라는대로 /etc/apt/source.list에

[code:3h6dqc02]deb http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ubuntu intrepid main[/code:3h6dqc02]

을 추가하면 됩니다. hardy와 intrepid 패키지가 있네요.[/quote:3h6dqc02]

https://launchpad.net/~openoffice-pkgs/+archive

여길 가보면…

OpenOffice.org 3.0.0 - INTREPID ONLY
라고 써있죠. =.=

[quote="uriel":lyfxs1f4]백일몽님의 답글로 알게 된건데, ppa를 사용하면 우분투에서 쉽게 openoffice 3.0을 사용 할 수 있습니다.[/quote:lyfxs1f4]
오 우리엘님 하이 ;) 오랜만 …

[quote="haze11":lyfxs1f4]OpenOffice.org 3.0.0 - INTREPID ONLY
라고 써있죠. =.=[/quote:lyfxs1f4]
헤즈님 그건 그렇코 8.10 안 갈아 타셈?
헤즈님이 갈아타서 대세로 굳는데…

음 혹시 오바마 땜시 [color=#8000FF:lyfxs1f4]맥[/color:lyfxs1f4]으로 전향 하시려는거 아녀?

[quote="haze11":e6nfihs5][quote="uriel":e6nfihs5]

OpenOffice.org 3.0.0 - INTREPID ONLY
라고 써있죠. =.=[/quote:e6nfihs5][/quote:e6nfihs5]

아직 8.04가 쓰는데 처음으로 아쉽기 시작…

[quote="haze11":3ewtsvrw]https://launchpad.net/~openoffice-pkgs/+archive
여길 가보면…

OpenOffice.org 3.0.0 - INTREPID ONLY
라고 써있죠. =.=[/quote:3ewtsvrw]

OpenOffice.org 3.0.0 - INTREPID ONLY 라고 써 있긴 한데, 실제로 저 Drop-down list를 열어 보면 intrepid랑 hardy가 나옵니다. 저는 intrepid라서 테스트를 못해봤는데 누구 hardy인 분이 테스트 해 보세요 ㅎㅎ

[quote="uriel":bb5j2gtj]
OpenOffice.org 3.0.0 - INTREPID ONLY 라고 써 있긴 한데, 실제로 저 Drop-down list를 열어 보면 intrepid랑 hardy가 나옵니다. 저는 intrepid라서 테스트를 못해봤는데 누구 hardy인 분이 테스트 해 보세요 ㅎㅎ[/quote:bb5j2gtj]

그 저장소는 이미 테스트 해봤는데 Hardy에서는 설치되지 않습니다^^ Intrepid에서만 설치되는 것 같습니다.

그 저장소에 설치되는 버전은 go-oo인가요?

현재 (오늘 날짜) 버전은 OOO300m9 (Build9358)이네요.

오픈오피스 3.0에 대한 정보 고맙습니다.
저야 고급기능은 사용하지 않는 (못하는?) 유저라서 2.4나 3.0이나 별 차이없지만 MS오피스와의 호환성땜에… 하디에서도 사용이 가능하다면 3.0을 설치해볼려고 그랬는데 (우분투용 go-oo 3.0이 나올때까지) 좀 더 기다려야겠군요. ㅎㅎ…

오픈오피스 2.4가 간단한 함수가 있는 xlsx는 잘 읽어들이더군요. 하지만 docx의 표는 왕창 깨졌어요. ㅠㅠ